Subject: Broken CONFIG_HIGHPTE

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 01 Apr 2009 16:38:00 +1100

Hi !

Just noticed... And I'll be travelling for a while so with no much
time to look at it.

Your changes to use the PTE page free batch via RCU on ppc32 broke
CONFIG_HIGHPTE for hash32...

You rely on passing a page_address() of the PTE page down to the
freeing layer. That doesn't work for highmem pages. That needs to
be changes to a struct page * on 32-bit (not on 64-bit where we
are using slabs though)

Cheers,
Ben.